Skip to main content
GET
/
runs
List runs
curl --request GET \
  --url https://api-legacy.subconscious.dev/v1/runs \
  --header 'Authorization: Bearer <token>'
{
  "runs": [
    {
      "runId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextCursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.subconscious.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key generated on the Subconscious platform

Query Parameters

limit
integer
default:50

Maximum number of runs to return (default: 50, max: 100)

Required range: 1 <= x <= 100
cursor
string

Pagination cursor from previous response

Response

List of runs

runs
object[]
required

List of runs

nextCursor
string | null
required

Pagination cursor for next page (null if no more pages)